Settings
Update a program privacy override
Sets or clears a program’s entity level and hide-type flag. A level looser than the workspace entity default is clamped to that default and clamped=true is returned. Submit entity_level=null to use the workspace default. revision compares the program override revision. Enforcement currently applies to mentions. Requires permission: one of manage_settings.
PUT
/
admin
/
programs
/
{program_id}
/
record-disclosure
Update a program privacy override
curl --request PUT \
--url https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_level": "reference",
"hide_program_type": false,
"revision": 0
}
'import requests
url = "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure"
payload = {
"entity_level": "reference",
"hide_program_type": False,
"revision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity_level: 'reference', hide_program_type: false, revision: 0})
};
fetch('https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'entity_level' => 'reference',
'hide_program_type' => false,
'revision' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure"
payload := strings.NewReader("{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"override": {
"program_id": 42,
"program_name": "Education",
"entity_level": "reference",
"hide_program_type": false,
"effective_entity_level": "reference",
"revision": 0
},
"clamped": false,
"workspace_entity_level": "reference"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Program id in the current organization.
Body
application/json
Validated request fields for this operation.
Restricted identity visibility level; full is reserved for users with record access.
Available options:
hidden, type, reference, initials, first_initial, name, null Example:
"reference"
Whether restricted mentions hide program type.
Example:
false
Optional expected program override revision.
Required range:
x >= 0Example:
0
Response
Operation result.
Show child attributes
Show child attributes
⌘I
Update a program privacy override
curl --request PUT \
--url https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_level": "reference",
"hide_program_type": false,
"revision": 0
}
'import requests
url = "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure"
payload = {
"entity_level": "reference",
"hide_program_type": False,
"revision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity_level: 'reference', hide_program_type: false, revision: 0})
};
fetch('https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'entity_level' => 'reference',
'hide_program_type' => false,
'revision' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure"
payload := strings.NewReader("{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/programs/{program_id}/record-disclosure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_level\": \"reference\",\n \"hide_program_type\": false,\n \"revision\": 0\n}"
response = http.request(request)
puts response.read_body{
"data": {
"override": {
"program_id": 42,
"program_name": "Education",
"entity_level": "reference",
"hide_program_type": false,
"effective_entity_level": "reference",
"revision": 0
},
"clamped": false,
"workspace_entity_level": "reference"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}